if g_updateListener then
    removeUpdateListener(g_updateListener)
end

local scene = getChildAt(getRootNode(), 0)
local nodeA = getChild(scene, "nodeA")
local nodeB = getChild(scene, "nodeB")

function updateFunction(dt)
    local netTime = netGetTime()

    setTranslation(nodeA, 3 + math.sin(netTime * 0.0013) * 2, math.sin(netTime * 0.0013) * 3, math.sin(netTime * 0.002) * 3)
    setTranslation(nodeB, -3 + math.sin(netTime * 0.0021) * 2, math.sin(netTime * 0.002) * 3, math.sin(netTime * 0.0031) * 3)

    nodeAx, nodeAy, nodeAz = getWorldTranslation(nodeA)
    nodeBx, nodeBy, nodeBz = getWorldTranslation(nodeB)

    setDirection(nodeA, nodeAx-nodeBx, nodeAy-nodeBy, nodeAz-nodeBz, 0, 1, 0)
    setDirection(nodeB, nodeBx-nodeAx, nodeBy-nodeAy, nodeBz-nodeAz, 0, 1, 0)
end

if not getIsEditorPlaying() then
    print("start the simulation (play button) for the script to take effect")
end

if nodeA == 0 or nodeB == 0 then
    print("missing nodeA or nodeB, create two objects named 'nodeA' and 'nodeB'")
else
    g_updateListener = addUpdateListener("updateFunction")
end
